import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams } from 'ionic-angular';
import { UsersService } from '../../providers/users-service';

@IonicPage()
@Component({
  selector: 'page-summary',
  templateUrl: 'summary.html',
})
export class SummaryPage {
  user: any;
  games: any;
  filteredGames: any;

  constructor(public navCtrl: NavController, public navParams: NavParams, public usersService: UsersService) {
    this.user = this.usersService.user;
  }

  ionViewDidLoad() {
    this.usersService.getUsersGames(this.user.id).subscribe(games=>{
      this.filteredGames = games;
      this.games = games;
    })
    ;
  }

  get() {
    console.log(this.usersService.user);
  }

  viewGames(){ 
    let params = {id: this.user.id, games: this.games};
    this.navCtrl.push('MyGamesPage',params);
  }

}
 